Bug 707234 - Add mod_cluster plugin
Add mod_cluster plugin
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
4.0.0
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On: 720676
Blocks: jon30-issues
  Show dependency treegraph
 
Reported: 2011-05-24 09:16 EDT by Charles Crouch
Modified: 2015-02-01 18:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-06 15:12:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2011-05-24 09:16:27 EDT
Tracking issue covering the addition of an RHQ plugin which will monitor and manage the mod_cluster module for apache.
Comment 1 Charles Crouch 2011-06-20 16:59:02 EDT
The first thing to decide is how the plugin will manage/monitor mod_cluster, i.e. which api will the plugin will use to get its information from mod_cluster

I'm not seeing a lot of documentation but there appears to be a mod_manager component e.g. http://docs.jboss.org/mod_cluster/1.1.0/html/native.config.html#SetHandlermod_cluster-manager which we could possibly make http requests to.

We should talk to Jean-Frederic Clere and get his opinions on whats the best management api. What metrics and operations the plugin will eventually supports is going to be entirely based on the api we chose.
Comment 2 Stefan Negrea 2014-05-06 15:12:40 EDT
Completed looong time ago!

Note You need to log in before you can comment on or make changes to this bug.